// Copyright (c) 1994-2010: Wieger Wesselink <j.w.wesselink@tue.nl>
//
// Distributed under the Boost Software License, Version 1.0.
// (See accompanying file LICENSE_1_0.txt or copy at
// http://www.boost.org/LICENSE_1_0.txt)

// 8-5-95

#ifndef __SPLINEVALUES_H
#define __SPLINEVALUES_H

#include <poly.h>

void NUBSplineValues(double parval, int order, const double* knots, int index, double* bvals);
void NUBSplineDerivs(double parval, int order, int deriv, const double *knots, int index, double *dvals);
double* BSplineValues(double u, int degree, const double* knots, int index);
Polynomial* BSplinePolynomials(int degree, const double* knots, int index);
double DeBoor(int degree, double* coeff, const double* knot, double u, int index);

#endif

