// Copyright (c) 1994-2010: Wieger Wesselink <j.w.wesselink@tue.nl>
//
// Distributed under the Boost Software License, Version 1.0.
// (See accompanying file LICENSE_1_0.txt or copy at
// http://www.boost.org/LICENSE_1_0.txt)

// Tue 07-09-1996

#ifndef __VBSPLINE_H
#define __VBSPLINE_H

#include <bspline.h>
#include <dmatrix.h>
#include <function.h>
#include <equation.h>
#include <quadfunc.h>

//-----------------------------------------------------------------------//
//                          VariationalBSpline                           //
//-----------------------------------------------------------------------//

class VariationalBSpline: public BSpline {
  public:
    VariationalBSpline(): BSpline() {}
    // default constructor

    VariationalBSpline(std::string FileName): BSpline(FileName) {}
    // constructor (reads the curve from a file)

    QuadraticFunction*    GetSimpleStretchEnergy() const;
    QuadraticFunctionList GetDataStretchEnergy(const BSpline& refcurve, int degree=9) const;
    QuadraticFunction*    GetSimpleBendEnergy() const;
    QuadraticFunctionList GetDataBendEnergy(const BSpline& refcurve, int degree=9) const;
    LinearEquation* GetPointToPointConstraint(double t, const double3& point) const;
    LinearEquation* GetPointToLineConstraint(double t, const Line3D& line) const;
    LinearEquation* GetPointToPlaneConstraint(double t, const Plane3D& plane) const;
    LinearEquation* GetTangentToVectorConstraint(double t, const double3& tangent) const;
};

#endif

