// Copyright (c) 1994-2010: Wieger Wesselink <j.w.wesselink@tue.nl>
//
// Distributed under the Boost Software License, Version 1.0.
// (See accompanying file LICENSE_1_0.txt or copy at
// http://www.boost.org/LICENSE_1_0.txt)

#ifndef __POLYLINE_H
#define __POLYLINE_H

#include <double3.h>
#include <listtmpl.h>
#include <iostream>

//-----------------------------------------------------------------------//
//                          Polyline3D                                   //
//-----------------------------------------------------------------------//
// This class represents a polyline in R^3.

class Polyline3D: public List<double3> {
  public:
    void Insert(const double3& point) { List<double3>::Insert(new double3(point)); }

    const double3& Point(int i) const { return (*this)[i]; }
    // returns the i-th point of the polyline (0 <= i < Count)

    double Length() const;
    // returns the lenght of the polyline
};

#endif

