// Copyright (c) 1994-2010: Wieger Wesselink <j.w.wesselink@tue.nl>
//
// Distributed under the Boost Software License, Version 1.0.
// (See accompanying file LICENSE_1_0.txt or copy at
// http://www.boost.org/LICENSE_1_0.txt)

#ifndef _EPS_H
#define _EPS_H

#include <iostream>

void ps_init(std::ostream& to, char* filename, int ww, int wh);
void ps_text(double x, double y, char* s, int d);
void ps_moveto(double x, double y);
void ps_lineto(double x, double y);
void ps_curveto(double x1, double y1, double x2, double y2, double x3, double y3);
void ps_stroke();
void ps_line(double x1, double y1, double x2, double y2);
void ps_point (double x, double y);
void ps_opoint (double x, double y);
void ps_arrow (double x1, double y1, double x2, double y2);
void ps_comment (char* s);
void ps_command (char* s);
void ps_graypoint (double x, double y);
void ps_fatline (double x1, double y1, double x2, double y2);
void ps_dashline (double x1, double y1, double x2, double y2);
void ps_fatdashline(double x1, double y1, double x2, double y2);
void ps_curve(double x0, double y0, double x1, double y1,
              double x2, double y2, double x3, double y3);
void ps_grayline(double x1, double y1, double x2, double y2);


#endif
