// Copyright (c) 1994-2010: Wieger Wesselink <j.w.wesselink@tue.nl>
//
// Distributed under the Boost Software License, Version 1.0.
// (See accompanying file LICENSE_1_0.txt or copy at
// http://www.boost.org/LICENSE_1_0.txt)

#include <geotyp.h>
#include <polygon.h>
#include <fstream>

void TestPolygon()
{
  std::ifstream from("testpgon.dat");

  Polygon2D polygon;
  from >> polygon;
  
  polygon.Show();

/*
  for (int i=0; i<5; i++) {
    polygon.Scale(polygon.Center(), 0.5);
    polygon.Show();
  }
*/  
  int j;
  
  std::cout << "vertical trapezoids: " << std::endl;
  List<VerticalTrapezoid2D> vertical = polygon.GetVerticalTrapezoids(1, 1e-10);
  for (j=0; j<vertical.Count; j++) {
    vertical[j].Show();
  }

  std::cout << "horizontal trapezoids: " << std::endl;
  List<HorizontalTrapezoid2D> horizontal = polygon.GetHorizontalTrapezoids(1, 1e-10);
  for (j=0; j<horizontal.Count; j++) {
    horizontal[j].Show();
  }

  std::cout << "trapezoids: " << std::endl;
  List<VerticalTrapezoid2D> trapezoids = polygon.GetTrapezoids(1e-10);
  double area = 0;
  for (j=0; j<trapezoids.Count; j++) {
    trapezoids[j].Show();
    area += trapezoids[j].Area();
  }
  std::cout << "sum of areas = " << area << std::endl;
}

int main()
{
  TestPolygon();

  return 0;
}
