// Copyright (c) 1994-2010: Wieger Wesselink <j.w.wesselink@tue.nl>
//
// Distributed under the Boost Software License, Version 1.0.
// (See accompanying file LICENSE_1_0.txt or copy at
// http://www.boost.org/LICENSE_1_0.txt)

#include <dmatrix.h>
#include <numtyp.h>

const int IMAX = 100;
const double EPS = 1e-5;

int main()
{  
  int n=20;
  DoubleMatrix a(n,n);
  a.FillRandom(-100,100);
  a.MakeSymmetric();
  SparseDoubleMatrix A(a);

  DoubleVector b(n);
  b.FillRandom(-100,100);

  // startvector
  DoubleVector x(n,0);

  A.SolveSTOD(b, x, IMAX, EPS);

  return 0;
}
