// Copyright (c) 1994-2010: Wieger Wesselink <j.w.wesselink@tue.nl>
//
// Distributed under the Boost Software License, Version 1.0.
// (See accompanying file LICENSE_1_0.txt or copy at
// http://www.boost.org/LICENSE_1_0.txt)

#include <fstream>
#include <cmath>
#include <double3x3.h>
#include <pause.h>

#include "nieuw.h"
#include "vrml.h"

void TestVRML()
{
  std::cout << "Testing VRML" << std::endl;

  std::ofstream out("tv.wrl");

  double3 red(1,0,0);
  double3 green(0,1,0);
  double3 blue(0,0,1);
  double3 yellow(1,1,0);

  double3 x0(1,2,3);
  double3 x1(2,2,8);
  double3 point1(10, 0, 0);
  double3 point2(20, 0, 0);
  double radius = 1;

  VRMLWriteFileHeader(out);

  VRMLWriteSphere(out, x0, radius, red);
  VRMLWriteSphere(out, x1, radius, red);
  VRMLWriteArrow(out, x0, x1, radius/2, yellow);

  VRMLWriteCone(out, point1, point2, 2, blue);
  VRMLWriteSphere(out, point1, radius, red);
  VRMLWriteSphere(out, point2, radius, red);

  out.close();

  std::cout << "output written in file 'tv.wrl'..." << std::endl;
}

int main()
{
  TestVRML();

  return 0;
}
